View Issue Details

IDProjectCategoryView StatusLast Update
0000954FreeCADBugpublic2014-11-19 15:02
Reportergdo35Assigned Towmayer 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.15 
Summary0000954: Helix height cannot exceed 55.87mm
DescriptionWhen I attempt to create an helix with following characteristics it works :
Local Coord : Right-handed
Angle : 0.00
Height : 55.87
Pitch : 1.00
Radius : 1.00

If helix height exceed 55.87, it produces something strange. See pictures in attachment.
Additional InformationOS: Ubuntu 12.10
Platform: 64-bit
Version: 0.13.1810 (Git)
Branch: master
Hash: afb335519329a67f8ad5b7d5d906128e77543273
Python version: 2.7.3
Qt version: 4.8.3
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0
TagsOCC Bug

Relationships

related to 0001215 closedwmayer Sweeping along a helix causes exception 

Activities

2013-01-12 11:13

 

helice.png (Attachment missing)

jmaustpc

2013-01-12 12:55

manager   ~0002837

Last edited: 2013-01-12 12:55

Its not "If helix height exceed 55.87" so much as how many rotations it has made.
If you multiply the pitch by 4 then the length can be increased by 4, before the error shows.

I wonder if something in the formula somewhere is reaching a "precision limit" of some sort?

OS: Ubuntu 12.04.1 LTS
Platform: 64-bit
Version: 0.13.1822 (Git)
Branch: master
Hash: 3cdf8f4350ababe0b6d1dfc85cda8bdd80864c5c
Python version: 2.7.3
Qt version: 4.8.2
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0

normandc

2013-08-15 01:05

manager   ~0003469

New report here: http://forum.freecadweb.org/viewtopic.php?f=3&t=4395

Any way this can get fixed?

shoogen

2013-08-15 04:59

developer   ~0003470

maybe this has to be fixed upstream
http://tracker.dev.opencascade.org/view.php?id=23314

nahshon

2013-08-15 09:12

reporter   ~0003471

Last edited: 2013-12-23 13:18

View 2 revisions

I created a new bug #0001215 for a crash when sweeping along a helix. It might be related.

Jriegel

2013-12-23 07:10

administrator   ~0003970

To get a stable surface configuration one way would be to make one shape per turn and fuse them together to the actual long shape. Only the last turn has to be different length to reach the desired overall length.

wmayer

2013-12-29 13:53

administrator   ~0003987

git show 775e6eb

shoogen

2014-11-13 16:23

developer   ~0005311

http://forum.freecadweb.org/viewtopic.php?f=3&t=8406&p=68974#p68974

Issue History

Date Modified Username Field Change
2013-01-12 11:13 gdo35 New Issue
2013-01-12 11:13 gdo35 File Added: helice.png
2013-01-12 12:55 jmaustpc Note Added: 0002837
2013-01-12 12:55 jmaustpc Note Edited: 0002837
2013-08-15 01:05 normandc Note Added: 0003469
2013-08-15 04:59 shoogen Note Added: 0003470
2013-08-15 09:12 nahshon Note Added: 0003471
2013-12-23 07:10 Jriegel Note Added: 0003970
2013-12-23 07:10 Jriegel Assigned To => Jriegel
2013-12-23 07:10 Jriegel Status new => acknowledged
2013-12-23 07:12 Jriegel Assigned To Jriegel =>
2013-12-23 13:18 yorik Note Edited: 0003471 View Revisions
2013-12-29 13:53 wmayer Note Added: 0003987
2013-12-29 13:53 wmayer Assigned To => wmayer
2013-12-29 13:53 wmayer Status acknowledged => assigned
2013-12-29 13:54 wmayer Status assigned => closed
2013-12-29 13:54 wmayer Resolution open => fixed
2013-12-29 13:54 wmayer Fixed in Version => 0.14
2013-12-29 13:54 wmayer Relationship added related to 0001215
2014-08-11 16:48 shoogen Changeset attached => FreeCAD Master master 775e6eba
2014-11-13 16:23 shoogen Assigned To wmayer =>
2014-11-13 16:23 shoogen Note Added: 0005311
2014-11-13 16:23 shoogen Status closed => feedback
2014-11-13 16:23 shoogen Resolution fixed => reopened
2014-11-13 16:23 shoogen Assigned To => shoogen
2014-11-13 16:23 shoogen Status feedback => acknowledged
2014-11-13 16:23 shoogen Assigned To shoogen =>
2014-11-18 14:19 shoogen Tag Attached: OCC Bug
2014-11-19 12:29 shoogen Changeset attached => FreeCAD Master master 7a201f9b
2014-11-19 15:02 wmayer Status acknowledged => closed
2014-11-19 15:02 wmayer Assigned To => wmayer
2014-11-19 15:02 wmayer Resolution reopened => fixed
2014-11-19 15:02 wmayer Fixed in Version 0.14 => 0.15